package mapped;

import java.net.MalformedURLException;
import java.net.URL;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("nd")
public class class338 {
   @ObfuscatedName("bn")
   @ObfuscatedSignature(
      descriptor = "Luu;"
   )
   public static AbstractRasterProvider rasterProvider;
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Lea;"
   )
   UrlRequest field3586;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Luz;"
   )
   SpritePixels field3584;

   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/String;Lel;)V"
   )
   class338(String var1, UrlRequester var2) {
      try {
         this.field3586 = var2.method2889(new URL(var1));
      } catch (MalformedURLException var4) {
         this.field3586 = null;
      }

   }

   @ObfuscatedSignature(
      descriptor = "(Lea;)V"
   )
   class338(UrlRequest var1) {
      this.field3586 = var1;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)Luz;",
      garbageValue = "1464542862"
   )
   SpritePixels method6309() {
      if(this.field3584 == null && this.field3586 != null && this.field3586.isDone_base()) {
         if(this.field3586.getResponse_base() != null) {
            this.field3584 = WorldMapArchiveLoader.method8712(this.field3586.getResponse_base());
         }

         this.field3586 = null;
      }

      return this.field3584;
   }
}
